Jump to main content

# Text Boxes and Data Fields

Most of the objects on your forms will be text boxes and data fields. They are relatively complex objects and have many attributes and formatting features. However, by way of introduction we can add a simple text box to our form.

1. Select the Text Tool button ( ). The mouse pointer changes to .
2. In the Form Display pane, hold your left mouse button down and draw a small box that is about an inch and a half square.
3. Release the mouse button and the text box appears. An insertion point flashes in the upper left corner of the text box.
4. Type "Your Name" (without quotes) in the text box and click outside the text box. The tex appears in the form without the text box selected.
5. In the Draw toolbar, click and click on the text to select the text box. It will be enclosed in a selection box.

   Green sizing handles appear.

6. Poition the mouse pointer over the bottom sizing handle. The pointer changes to .
7. Press and hold down the left mouse button and move the bottom of the text box up to adjust the size.
8. Click anywhere on the page outside the text box.

## Editing text

After you create your text box and type your text in, you may want to return to the text box to edit your text.

1. On the Draw toolbar, click the Edit Text Tool button ( ). The mouse pointer changes to .
2. Click between "Your" and "Name" to position the insertion point.
3. Type "First" (without quotes). The text box should now look like this:
4. Click outside the box and the text box with your revised text will be enclosed in a selection box.

## Changing the font

Let’s change the font style for the text box you have created.

1. Find the Font property group on the Properties pane Object tab, then click on the Style property field in the Font group. appears in the Value field.
2. Click to display the options, and select Bold Italic.
   The text in the text box will change to bold italic.

## Adding a data field

Now that you have added a text box, you should find it easy to add a data field.

1. On the Draw toolbar, click the Field Tool button ( ). The pointer changes to .
2. Press and hold the mouse button and draw your data field on the screen next to your text box.
   When you release the mouse button the data field appears next to the label text.

## Chganging the data field attributes

Data fields have five unique attributes that define the data that is entered in the field. They must be assigned a data ID and description. You must also enter the number of characters you want to allow per line and the number of lines that can be entered in the field.

You also have the option of changing the appearance of the data field text by applying different character spacing. This is an advanced option, so we will not bother with it in our quick tour.

1. First, let’s widen the Properties pane so we can read the properties more easily:
   1. Place your mouse pointer on the gray vertical bar that separates the Properties pane and the Form Display pane.
   2. Press and hold the mouse button and drag it about one inch to the right. The property pane expands.
2. Now let’s change the data ID:
   1. On the Draw toolbar, click .
   2. Click the data field on your form and look at the Properties pane. You will see an Object tab, a Field tab, and a Defaults tab.
   3. Click on the Field tab to view the field properties.
   4. Click the Data ID value field. The number is highlighted.
   5. Enter 123 for your data ID.
   6. Click anywhere in the Form Display pane and the data ID appears in the data field.
3. Now that you have given your data field an ID, let’s give it a description. The default description for a data field is Data Field.
   1. Select your data field again by clicking on it. Then select the Field tab in the Properties pane.
   2. Click the Description value field. The current value is highlighted.
   3. Type "First_Name" (without quotes) in the Description field.
   4. Click anywhere in the Form Display pane the new description appears in the data field.
4. Next, you need to specify the number of characters per line you want for the data field.
   1. Click on the data field again and select the Field tab.
   2. Click on the Number of Characters value field. The number is highlighted.
   3. Enter 17 as the number of characters.
   4. Click anywhere in the Form Display pane. The description in your data field is now padded with "x" characters to show the length of the line.
   5. Select the data field again and place the mouse pointer over the sizing handle on the right side of the data field and then size the width to fit the number of characters.
5. You can also change the number of lines your data field contains.
   1. Click on the data field and select the Field tab.
   2. Click on the Number of Lines value field to highlight the number, then enter 3 for the number of lines.
   3. Click anywhere in the Form Display pane. The description will now appear three times in the field, once for each line that is allowed.
6. Let’s change the font attributes for the data field you have created.
   1. Select the data field and look at the Object tab.
   2. In the Property column under Font, locate Underline.
   3. Click the Underline value field. Click to display the drop list.
   4. Select Yes from the list. The Data ID and description is underlined.